#include <iostream>
using namespace std;
int main(){
    long long n,k,r,l=0,p=0;
    cin >>n>>k;
    long long a[n];
    long long x[100];
    for(long long i=0;i<n;i++){
        cin>>a[i];}
    for(long long i=0;i<n;i++){
        r=0;
        for(long long j=0;j<n;j++){
            if(a[i]==a[j])
                r+=1;}
        if(r>=k){
            x[l]=a[i];
            l+=1;}}
    long long m;
    for(long long i=0;i<l-1;i++){
        m=i;
        for(long long j=i+1;j<l;j++){
            if(x[m]>x[j])
                m=j;}
        swap(x[m],x[i]);}
    if(l>0){
        p=1;
        for(long long i=0;i<l-1;i++){
            if(x[i]!=x[i+1])
                p+=1;}}
    cout<<p<<endl;
    if(l>0){
        cout<<x[0]<<" ";
        for(long long i=0;i<l-1;i++){
            if(x[i]!=x[i+1]){
                cout<<x[i+1]<<" ";}}}
    else
        cout<<0;}